package com.swago.baseswago.model.live

import android.os.Parcel
import android.os.Parcelable

/**
 *@date 2021/11/28 21:08
 *description:
 */
data class AnchorClosedModel(
    var broadcast_time:Long=0,
    var income_coins: String?,
    var total_member: String?,
    var user_account: String?,
    var user_head_img_url: String?,
    var user_name: String?,
    var total_broadcast_time:Long=0
) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readLong(),
        parcel.readString(),
        parcel.readString(),
        parcel.readString(),
        parcel.readString(),
        parcel.readString(),
        parcel.readLong()
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeLong(broadcast_time)
        parcel.writeString(income_coins)
        parcel.writeString(total_member)
        parcel.writeString(user_account)
        parcel.writeString(user_head_img_url)
        parcel.writeString(user_name)
        parcel.writeLong(total_broadcast_time)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<AnchorClosedModel> {
        override fun createFromParcel(parcel: Parcel): AnchorClosedModel {
            return AnchorClosedModel(parcel)
        }

        override fun newArray(size: Int): Array<AnchorClosedModel?> {
            return arrayOfNulls(size)
        }
    }
}